* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2017-01-30 23:09 Austin English
0 siblings, 0 replies; 16+ messages in thread
From: Austin English @ 2017-01-30 23:09 UTC (permalink / raw
To: gentoo-commits
commit: ccc6222da4aa0c0336f9918c69773e82aaf60927
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 30 22:23:06 2017 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Mon Jan 30 23:09:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccc6222d
games-action/teeworlds: remove deprecated games eclass
Also update to EAPI 6
Gentoo-Bug: https://bugs.gentoo.org/574082
Package-Manager: Portage-2.3.2, Repoman-2.3.1
games-action/teeworlds/teeworlds-0.6.3-r1.ebuild | 122 +++++++++++++++++++++++
1 file changed, 122 insertions(+)
diff --git a/games-action/teeworlds/teeworlds-0.6.3-r1.ebuild b/games-action/teeworlds/teeworlds-0.6.3-r1.ebuild
new file mode 100644
index 00000000..2f0aa98
--- /dev/null
+++ b/games-action/teeworlds/teeworlds-0.6.3-r1.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit eutils multiprocessing python-any-r1 toolchain-funcs
+
+REVISION="b177-r50edfd37"
+
+DESCRIPTION="Online multi-player platform 2D shooter"
+HOMEPAGE="http://www.teeworlds.com/"
+SRC_URI="https://downloads.teeworlds.com/${P}-src.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug dedicated"
+
+RDEPEND="
+ !dedicated? (
+ app-arch/bzip2
+ media-libs/freetype
+ media-libs/libsdl[X,sound,opengl,video]
+ media-libs/pnglite
+ media-sound/wavpack
+ virtual/glu
+ virtual/opengl
+ x11-libs/libX11 )
+ sys-libs/zlib"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ ~dev-util/bam-0.4.0"
+
+S=${WORKDIR}/${P}-src
+
+PATCHES=(
+ "${FILESDIR}/${PV}/01-use-system-wavpack.patch"
+ "${FILESDIR}/${PV}/02-fixed-wavpack-sound-loading.patch"
+ "${FILESDIR}/${PV}/03-use-system-pnglite.patch"
+ "${FILESDIR}/${PV}/04-dedicated.patch"
+ "${FILESDIR}/${PV}/05-cc-cflags.patch"
+)
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ rm -r src/engine/external/* || die
+
+ cat <<- __EOF__ > "${S}/gentoo.lua"
+ function addSettings(settings)
+ print("Adding Gentoo settings")
+ settings.optimize = 0
+ settings.cc.exe_c = "$(tc-getCC)"
+ settings.cc.exe_cxx = "$(tc-getCXX)"
+ settings.cc.flags_c:Add("${CFLAGS}")
+ settings.cc.flags_cxx:Add("${CXXFLAGS}")
+ settings.link.exe = "$(tc-getCXX)"
+ settings.link.flags:Add("${LDFLAGS}")
+ end
+ __EOF__
+
+ sed -i \
+ -e "s#/usr/share/games/teeworlds/data#/usr/share/${PN}/data#" \
+ src/engine/shared/storage.cpp || die
+}
+
+src_configure() {
+ bam -v config || die
+}
+
+src_compile() {
+ local myopt
+
+ if use debug; then
+ myopt=" server_debug"
+ else
+ myopt=" server_release"
+ fi
+ if ! use dedicated; then
+ if use debug; then
+ myopt+=" client_debug"
+ else
+ myopt+=" client_release"
+ fi
+ fi
+
+ bam -v -a -j $(makeopts_jobs) ${myopt} || die
+}
+
+src_install() {
+ if use debug; then
+ newbin ${PN}_srv_d ${PN}_srv
+ else
+ dobin ${PN}_srv
+ fi
+ if ! use dedicated; then
+ if use debug; then
+ newbin ${PN}_d ${PN}
+ else
+ dobin ${PN}
+ fi
+
+ doicon "${FILESDIR}"/${PN}.xpm
+ make_desktop_entry ${PN} Teeworlds
+
+ insinto /usr/share/${PN}/data
+ doins -r data/*
+ else
+ insinto /usr/share/${PN}/data/maps
+ doins -r data/maps/*
+ fi
+ newinitd "${FILESDIR}"/${PN}-init.d ${PN}
+ insinto "/etc/${PN}"
+ doins "${FILESDIR}"/teeworlds_srv.cfg
+
+ dodoc readme.txt
+}
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2017-05-04 21:21 James Le Cuirot
0 siblings, 0 replies; 16+ messages in thread
From: James Le Cuirot @ 2017-05-04 21:21 UTC (permalink / raw
To: gentoo-commits
commit: 7a56f75b82e732e9931bfa0e03a6333114986bd7
Author: Learath <learath2 <AT> gmail <DOT> com>
AuthorDate: Sun Apr 9 20:41:26 2017 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu May 4 21:20:56 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a56f75b
games-action/teeworlds: Remove ugly patch
https://bugs.gentoo.org/show_bug.cgi?id=598637
Closes: https://github.com/gentoo/gentoo/pull/4400
games-action/teeworlds/teeworlds-0.6.4.ebuild | 4 ----
1 file changed, 4 deletions(-)
diff --git a/games-action/teeworlds/teeworlds-0.6.4.ebuild b/games-action/teeworlds/teeworlds-0.6.4.ebuild
index dc1a0d9c2f2..160ddb439d5 100644
--- a/games-action/teeworlds/teeworlds-0.6.4.ebuild
+++ b/games-action/teeworlds/teeworlds-0.6.4.ebuild
@@ -63,10 +63,6 @@ src_prepare() {
settings.link.flags:Add("${LDFLAGS}")
end
__EOF__
-
- sed -i \
- -e "s#/usr/share/games/teeworlds/data#/usr/share/${PN}/data#" \
- src/engine/shared/storage.cpp || die
}
src_configure() {
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2017-05-05 14:10 Agostino Sarubbo
0 siblings, 0 replies; 16+ messages in thread
From: Agostino Sarubbo @ 2017-05-05 14:10 UTC (permalink / raw
To: gentoo-commits
commit: 25fd4955929ce75c8c1b01c4fff456fb54a79a52
Author: Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri May 5 14:10:22 2017 +0000
Commit: Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri May 5 14:10:22 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25fd4955
games-action/teeworlds: amd64 stable wrt bug #600178
Package-Manager: Portage-2.3.5, Repoman-2.3.1
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>
games-action/teeworlds/teeworlds-0.6.4.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/games-action/teeworlds/teeworlds-0.6.4.ebuild b/games-action/teeworlds/teeworlds-0.6.4.ebuild
index 160ddb439d5..eb4619bff93 100644
--- a/games-action/teeworlds/teeworlds-0.6.4.ebuild
+++ b/games-action/teeworlds/teeworlds-0.6.4.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://downloads.teeworlds.com/${P}-src.tar.gz"
LICENSE="ZLIB"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
IUSE="debug dedicated"
RDEPEND="
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2017-05-06 17:20 Agostino Sarubbo
0 siblings, 0 replies; 16+ messages in thread
From: Agostino Sarubbo @ 2017-05-06 17:20 UTC (permalink / raw
To: gentoo-commits
commit: bc95c9b5ea91492bde1c073e4ce838f3ab559b75
Author: Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sat May 6 17:20:16 2017 +0000
Commit: Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sat May 6 17:20:16 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc95c9b5
games-action/teeworlds: x86 stable wrt bug #600178
Package-Manager: Portage-2.3.5, Repoman-2.3.1
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>
games-action/teeworlds/teeworlds-0.6.4.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/games-action/teeworlds/teeworlds-0.6.4.ebuild b/games-action/teeworlds/teeworlds-0.6.4.ebuild
index eb4619bff93..4ffbb88a2c8 100644
--- a/games-action/teeworlds/teeworlds-0.6.4.ebuild
+++ b/games-action/teeworlds/teeworlds-0.6.4.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://downloads.teeworlds.com/${P}-src.tar.gz"
LICENSE="ZLIB"
SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
IUSE="debug dedicated"
RDEPEND="
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2017-05-06 19:54 James Le Cuirot
0 siblings, 0 replies; 16+ messages in thread
From: James Le Cuirot @ 2017-05-06 19:54 UTC (permalink / raw
To: gentoo-commits
commit: 059541e7707feb0d4465a863d2bacbc850d1495f
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat May 6 19:53:57 2017 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat May 6 19:53:57 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=059541e7
games-action/teeworlds: Remove vulnerable 0.6.3 wrt bug #600178
Package-Manager: Portage-2.3.5, Repoman-2.3.2
games-action/teeworlds/Manifest | 1 -
games-action/teeworlds/teeworlds-0.6.3-r1.ebuild | 122 -----------------------
games-action/teeworlds/teeworlds-0.6.3.ebuild | 118 ----------------------
3 files changed, 241 deletions(-)
diff --git a/games-action/teeworlds/Manifest b/games-action/teeworlds/Manifest
index 74b45ac09c5..b3b591ad637 100644
--- a/games-action/teeworlds/Manifest
+++ b/games-action/teeworlds/Manifest
@@ -1,2 +1 @@
-DIST teeworlds-0.6.3-src.tar.gz 13101446 SHA256 490ee7c372898761c609af8d7b0c6bd55942c6c6fcd7f361eefa00abfc70077b SHA512 0c7ef6ca59e4b49f9e208f39e8b0edd76965d67848008af3a223cb7615a6c62ff433d3113f733ae4dafc364baf522d2f56255e058d26d9f5c48071cdde41526d WHIRLPOOL dc501bb9a2f4c3971ad063102a55cc70633857e3052f3a349d032dd8e92ea05f6138c62e9775b743b38dc3a56366d9920850b5a7ffbf6913ed73536a5cacdff4
DIST teeworlds-0.6.4-src.tar.gz 8771622 SHA256 c261d19ebb00b5451faa2ceb4a7ca945cad2add48b06046eb43b40ccc9fd98e2 SHA512 7546ee358a2126339f6c727bb7b5f49009a8fad0b5e77a796202cba4d8fc5dfcaf79b7e65151d85fead2a70ad61ef3e1888b8c07fe0206f87575d5dd8c9f91ce WHIRLPOOL ea45aeb1eeef511e38b19e051dc575b7506dba002ed27a3850aabbb9bfac9a0530bc033d3428ede75a0081c054a573a91c0c942cf49477645674ad5d4aa28764
diff --git a/games-action/teeworlds/teeworlds-0.6.3-r1.ebuild b/games-action/teeworlds/teeworlds-0.6.3-r1.ebuild
deleted file mode 100644
index c7affb67818..00000000000
--- a/games-action/teeworlds/teeworlds-0.6.3-r1.ebuild
+++ /dev/null
@@ -1,122 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-inherit eutils multiprocessing python-any-r1 toolchain-funcs versionator
-
-REVISION="b177-r50edfd37"
-
-DESCRIPTION="Online multi-player platform 2D shooter"
-HOMEPAGE="http://www.teeworlds.com/"
-SRC_URI="https://downloads.teeworlds.com/${P}-src.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug dedicated"
-
-RDEPEND="
- !dedicated? (
- app-arch/bzip2
- media-libs/freetype
- media-libs/libsdl[X,sound,opengl,video]
- media-libs/pnglite
- media-sound/wavpack
- virtual/glu
- virtual/opengl
- x11-libs/libX11 )
- sys-libs/zlib"
-DEPEND="${RDEPEND}
- ${PYTHON_DEPS}
- ~dev-util/bam-0.4.0"
-
-S=${WORKDIR}/${P}-src
-MY_PV=$(get_version_component_range 1-2)
-
-PATCHES=(
- "${FILESDIR}/${MY_PV}/01-use-system-wavpack.patch"
- "${FILESDIR}/${MY_PV}/02-fixed-wavpack-sound-loading.patch"
- "${FILESDIR}/${MY_PV}/03-use-system-pnglite.patch"
- "${FILESDIR}/${MY_PV}/04-dedicated.patch"
- "${FILESDIR}/${MY_PV}/05-cc-cflags.patch"
-)
-
-pkg_setup() {
- python-any-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- rm -r src/engine/external/* || die
-
- cat <<- __EOF__ > "${S}/gentoo.lua"
- function addSettings(settings)
- print("Adding Gentoo settings")
- settings.optimize = 0
- settings.cc.exe_c = "$(tc-getCC)"
- settings.cc.exe_cxx = "$(tc-getCXX)"
- settings.cc.flags_c:Add("${CFLAGS}")
- settings.cc.flags_cxx:Add("${CXXFLAGS}")
- settings.link.exe = "$(tc-getCXX)"
- settings.link.flags:Add("${LDFLAGS}")
- end
- __EOF__
-
- sed -i \
- -e "s#/usr/share/games/teeworlds/data#/usr/share/${PN}/data#" \
- src/engine/shared/storage.cpp || die
-}
-
-src_configure() {
- bam -v config || die
-}
-
-src_compile() {
- local myopt
-
- if use debug; then
- myopt=" server_debug"
- else
- myopt=" server_release"
- fi
- if ! use dedicated; then
- if use debug; then
- myopt+=" client_debug"
- else
- myopt+=" client_release"
- fi
- fi
-
- bam -v -a -j $(makeopts_jobs) ${myopt} || die
-}
-
-src_install() {
- if use debug; then
- newbin ${PN}_srv_d ${PN}_srv
- else
- dobin ${PN}_srv
- fi
- if ! use dedicated; then
- if use debug; then
- newbin ${PN}_d ${PN}
- else
- dobin ${PN}
- fi
-
- doicon "${FILESDIR}"/${PN}.xpm
- make_desktop_entry ${PN} Teeworlds
-
- insinto /usr/share/${PN}/data
- doins -r data/*
- else
- insinto /usr/share/${PN}/data/maps
- doins -r data/maps/*
- fi
- newinitd "${FILESDIR}"/${PN}-init.d ${PN}
- insinto "/etc/${PN}"
- doins "${FILESDIR}"/teeworlds_srv.cfg
-
- dodoc readme.txt
-}
diff --git a/games-action/teeworlds/teeworlds-0.6.3.ebuild b/games-action/teeworlds/teeworlds-0.6.3.ebuild
deleted file mode 100644
index 791c9d00e07..00000000000
--- a/games-action/teeworlds/teeworlds-0.6.3.ebuild
+++ /dev/null
@@ -1,118 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-inherit eutils multiprocessing python-any-r1 toolchain-funcs games versionator
-
-REVISION="b177-r50edfd37"
-
-DESCRIPTION="Online multi-player platform 2D shooter"
-HOMEPAGE="http://www.teeworlds.com/"
-SRC_URI="https://downloads.teeworlds.com/${P}-src.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="debug dedicated"
-
-RDEPEND="
- !dedicated? ( media-libs/pnglite
- media-libs/libsdl[X,sound,opengl,video]
- media-sound/wavpack
- virtual/opengl
- app-arch/bzip2
- media-libs/freetype
- virtual/glu
- x11-libs/libX11 )
- sys-libs/zlib"
-DEPEND="${RDEPEND}
- ${PYTHON_DEPS}
- ~dev-util/bam-0.4.0"
-
-S=${WORKDIR}/${P}-src
-MY_PV=$(get_version_component_range 1-2)
-
-pkg_setup() {
- python-any-r1_pkg_setup
- games_pkg_setup
-}
-
-src_prepare() {
- rm -r src/engine/external/* || die
-
- # 01 & 02 from pull request: https://github.com/oy/teeworlds/pull/493
- EPATCH_SOURCE="${FILESDIR}/${MY_PV}" EPATCH_SUFFIX="patch" EPATCH_FORCE="yes" \
- epatch
-
- cat <<- __EOF__ > "${S}/gentoo.lua"
- function addSettings(settings)
- print("Adding Gentoo settings")
- settings.optimize = 0
- settings.cc.exe_c = "$(tc-getCC)"
- settings.cc.exe_cxx = "$(tc-getCXX)"
- settings.cc.flags_c:Add("${CFLAGS}")
- settings.cc.flags_cxx:Add("${CXXFLAGS}")
- settings.link.exe = "$(tc-getCXX)"
- settings.link.flags:Add("${LDFLAGS}")
- end
- __EOF__
-
- sed -i \
- -e "s#/usr/share/games/teeworlds/data#${GAMES_DATADIR}/${PN}/data#" \
- src/engine/shared/storage.cpp || die
-}
-
-src_configure() {
- bam -v config || die
-}
-
-src_compile() {
- local myopt
-
- if use debug; then
- myopt=" server_debug"
- else
- myopt=" server_release"
- fi
- if ! use dedicated; then
- if use debug; then
- myopt+=" client_debug"
- else
- myopt+=" client_release"
- fi
- fi
-
- bam -v -a -j $(makeopts_jobs) ${myopt} || die
-}
-
-src_install() {
- if use debug; then
- newgamesbin ${PN}_srv_d ${PN}_srv
- else
- dogamesbin ${PN}_srv
- fi
- if ! use dedicated; then
- if use debug; then
- newgamesbin ${PN}_d ${PN}
- else
- dogamesbin ${PN}
- fi
-
- doicon "${FILESDIR}"/${PN}.xpm
- make_desktop_entry ${PN} Teeworlds
-
- insinto "${GAMES_DATADIR}"/${PN}/data
- doins -r data/*
- else
- insinto "${GAMES_DATADIR}"/${PN}/data/maps
- doins -r data/maps/*
- fi
- newinitd "${FILESDIR}"/${PN}-init.d ${PN}
- insinto "/etc/${PN}"
- doins "${FILESDIR}"/teeworlds_srv.cfg
-
- dodoc readme.txt
-
- prepgamesdirs
-}
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2018-04-15 11:34 David Seifert
0 siblings, 0 replies; 16+ messages in thread
From: David Seifert @ 2018-04-15 11:34 UTC (permalink / raw
To: gentoo-commits
commit: 8e6750fa57677e5e017bde46ab4109b9b4b7d4ad
Author: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Apr 15 08:50:20 2018 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr 15 11:33:29 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e6750fa
games-action/teeworlds: use HTTPS
games-action/teeworlds/teeworlds-0.6.4.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/games-action/teeworlds/teeworlds-0.6.4.ebuild b/games-action/teeworlds/teeworlds-0.6.4.ebuild
index 160ddb439d5..e0a27845920 100644
--- a/games-action/teeworlds/teeworlds-0.6.4.ebuild
+++ b/games-action/teeworlds/teeworlds-0.6.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -8,7 +8,7 @@ inherit eutils multiprocessing python-any-r1 toolchain-funcs versionator
REVISION="b177-rff25472"
DESCRIPTION="Online multi-player platform 2D shooter"
-HOMEPAGE="http://www.teeworlds.com/"
+HOMEPAGE="https://www.teeworlds.com/"
SRC_URI="https://downloads.teeworlds.com/${P}-src.tar.gz"
LICENSE="ZLIB"
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2020-07-01 10:28 Andreas Sturmlechner
0 siblings, 0 replies; 16+ messages in thread
From: Andreas Sturmlechner @ 2020-07-01 10:28 UTC (permalink / raw
To: gentoo-commits
commit: 6101c95ee5879e1d10a5e502c88f3a752df06751
Author: Victor Kustov <ktrace <AT> yandex <DOT> ru>
AuthorDate: Mon May 11 13:34:18 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jul 1 10:16:15 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6101c95e
games-action/teeworlds: bump to 0.7.5
Bump version
Remove dev-util/bam (switch to cmake)
Closes: https://bugs.gentoo.org/668928
Signed-off-by: Victor Kustov <ktrace <AT> yandex.ru>
Closes: https://github.com/gentoo/gentoo/pull/13781
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
games-action/teeworlds/Manifest | 4 ++
games-action/teeworlds/teeworlds-0.7.5.ebuild | 80 +++++++++++++++++++++++++++
2 files changed, 84 insertions(+)
diff --git a/games-action/teeworlds/Manifest b/games-action/teeworlds/Manifest
index 78521c5092a..6b9d796adb2 100644
--- a/games-action/teeworlds/Manifest
+++ b/games-action/teeworlds/Manifest
@@ -1 +1,5 @@
DIST teeworlds-0.6.4-src.tar.gz 8771622 BLAKE2B 14493fcad458b0e1c749e40bdd6a5a858704bf971d53d11782d52fbe9b5fe2a09235dcac25340e51a3330001d46ee512f2971e8db06eb9f51eec5e6b3cd2a328 SHA512 7546ee358a2126339f6c727bb7b5f49009a8fad0b5e77a796202cba4d8fc5dfcaf79b7e65151d85fead2a70ad61ef3e1888b8c07fe0206f87575d5dd8c9f91ce
+DIST teeworlds-0.7.5-maps.tar.gz 151689 BLAKE2B f8ffbb6a024755bb972955a8c7d277709e17021c0554be0e2803e8c1b4848f5dca6d91b9f7f4e0731766745878c1143d27be3fa8aede01ff9cc69ac557ca70a8 SHA512 74084e169c1870cd541f5bb719c209210227055d304b3ce22fbad3d32d24b3356fbdec8d948edf3aa582270a8b0db7dec41e4924401f8398f7d5feba5ded49b3
+DIST teeworlds-0.7.5-translation.tar.gz 169121 BLAKE2B 1c649392385abf8e00d8c9e64ca7eaaa5af5848878566081cda83c7d78c417652137e7285d16038f302a6fdf94eb3993c506886d4cc1359694d534c7be5ea925 SHA512 41c69cd9e9290857b44be18f89ab9f3a7ccd6804757332966b973aec3a9e6fd5a40d323696a044a724228b2bb67b097311fa8c24fdec226eecb7a27c2da559dc
+DIST teeworlds-0.7.5.tar.gz 8654985 BLAKE2B ebeb9aa1119950e4d78d8c0d6c7be5711894c3212755a6db3b8b8c1f1803dba1e0d2e1a0e294e1a1fffe84a28beab8fac0e55fa0e94c68ed97e8764ac3b742d3 SHA512 673410a5fb5e488229ddc4ea4a1ac9cd8143a6e9499bde9f5535d7f0be5b6c85163065da9580c3de0d240f1cad63e0bc12c10caf1d893c324edb301bc150653b
+DIST teeworlds.png 21502 BLAKE2B 8064e0c2149f20f182b2ca2f7454f0e8395e199a432b8f21a9963cc771b1504ebe8cbe427ecd738d35313b1a378eaf8e305d509cd5360a07e9ab3c5224b78b77 SHA512 a272a1d9f13504c43ba873d93899df93c435f58cec20ae68bc9493a983e54cdd4c8f0f2e0630558c5e915aec891d2267bc3459ecc78c25738602452a2123fadf
diff --git a/games-action/teeworlds/teeworlds-0.7.5.ebuild b/games-action/teeworlds/teeworlds-0.7.5.ebuild
new file mode 100644
index 00000000000..f2e0b2da85e
--- /dev/null
+++ b/games-action/teeworlds/teeworlds-0.7.5.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit cmake-utils desktop python-any-r1 xdg-utils
+
+COMMIT_LANG="4ba6f824e9c34565e61340d25bc8c3cc004d40fb"
+COMMIT_MAPS="1d3401a37a3334e311faf18a22aeff0e0ac9ee65"
+
+DESCRIPTION="Online multi-player platform 2D shooter"
+HOMEPAGE="https://www.teeworlds.com/"
+SRC_URI="
+ https://github.com/ktrace/gentoo-blobs/raw/master/teeworlds.png
+ https://github.com/teeworlds/teeworlds/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/teeworlds/teeworlds-maps/archive/${COMMIT_MAPS}.tar.gz -> ${P}-maps.tar.gz
+ https://github.com/teeworlds/teeworlds-translation/archive/${COMMIT_LANG}.tar.gz -> ${P}-translation.tar.gz
+ "
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug dedicated"
+
+RDEPEND="
+ !dedicated? (
+ app-arch/bzip2
+ media-libs/freetype
+ media-libs/libsdl[X,sound,opengl,video]
+ media-libs/pnglite
+ media-sound/wavpack
+ virtual/glu
+ virtual/opengl
+ x11-libs/libX11
+ )
+ dev-libs/openssl:0=
+ sys-libs/zlib"
+
+DEPEND="${RDEPEND} ${PYTHON_DEPS}"
+
+src_prepare() {
+ rm -r "${S}/datasrc/languages" || die
+ rm -r "${S}/datasrc/maps" || die
+ mv "${WORKDIR}/${PN}-translation-${COMMIT_LANG}" "${S}/datasrc/languages" || die
+ mv "${WORKDIR}/${PN}-maps-${COMMIT_MAPS}" "${S}/datasrc/maps" || die
+ cp "${DISTDIR}/${PN}.png" "${S}/" || die
+ python_fix_shebang scripts/
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCLIENT=$(usex dedicated OFF ON)
+ -DDEV=$(usex debug ON OFF)
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ doicon -s 256 "${PN}.png"
+ domenu other/teeworlds.desktop
+ newinitd "${FILESDIR}"/${PN}-init.d ${PN}
+ insinto "/etc/${PN}"
+ doins "${FILESDIR}"/teeworlds_srv.cfg
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2020-07-01 10:28 Andreas Sturmlechner
0 siblings, 0 replies; 16+ messages in thread
From: Andreas Sturmlechner @ 2020-07-01 10:28 UTC (permalink / raw
To: gentoo-commits
commit: 756334db7d87f8a52c2d48302b88c39b613d51f4
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 1 10:19:06 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jul 1 10:27:05 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=756334db
games-action/teeworlds: Up to speed with 2020: cmake.eclass, py38+39
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
games-action/teeworlds/teeworlds-0.7.5.ebuild | 15 +++++++--------
1 file changed, 7 insertions(+), 8 deletions(-)
diff --git a/games-action/teeworlds/teeworlds-0.7.5.ebuild b/games-action/teeworlds/teeworlds-0.7.5.ebuild
index f2e0b2da85e..7e5532fed00 100644
--- a/games-action/teeworlds/teeworlds-0.7.5.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5.ebuild
@@ -3,12 +3,11 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7} )
-
-inherit cmake-utils desktop python-any-r1 xdg-utils
+PYTHON_COMPAT=( python3_{6,7,8,9} )
COMMIT_LANG="4ba6f824e9c34565e61340d25bc8c3cc004d40fb"
COMMIT_MAPS="1d3401a37a3334e311faf18a22aeff0e0ac9ee65"
+inherit cmake desktop python-any-r1 xdg-utils
DESCRIPTION="Online multi-player platform 2D shooter"
HOMEPAGE="https://www.teeworlds.com/"
@@ -17,7 +16,7 @@ SRC_URI="
https://github.com/teeworlds/teeworlds/archive/${PV}.tar.gz -> ${P}.tar.gz
https://github.com/teeworlds/teeworlds-maps/archive/${COMMIT_MAPS}.tar.gz -> ${P}-maps.tar.gz
https://github.com/teeworlds/teeworlds-translation/archive/${COMMIT_LANG}.tar.gz -> ${P}-translation.tar.gz
- "
+"
LICENSE="ZLIB"
SLOT="0"
@@ -26,7 +25,7 @@ IUSE="debug dedicated"
RDEPEND="
!dedicated? (
- app-arch/bzip2
+ app-arch/bzip2:=
media-libs/freetype
media-libs/libsdl[X,sound,opengl,video]
media-libs/pnglite
@@ -41,13 +40,13 @@ RDEPEND="
DEPEND="${RDEPEND} ${PYTHON_DEPS}"
src_prepare() {
+ cmake_src_prepare
rm -r "${S}/datasrc/languages" || die
rm -r "${S}/datasrc/maps" || die
mv "${WORKDIR}/${PN}-translation-${COMMIT_LANG}" "${S}/datasrc/languages" || die
mv "${WORKDIR}/${PN}-maps-${COMMIT_MAPS}" "${S}/datasrc/maps" || die
cp "${DISTDIR}/${PN}.png" "${S}/" || die
python_fix_shebang scripts/
- cmake-utils_src_prepare
}
src_configure() {
@@ -57,11 +56,11 @@ src_configure() {
-DPYTHON_EXECUTABLE="${PYTHON}"
)
- cmake-utils_src_configure
+ cmake_src_configure
}
src_install() {
- cmake-utils_src_install
+ cmake_src_install
doicon -s 256 "${PN}.png"
domenu other/teeworlds.desktop
newinitd "${FILESDIR}"/${PN}-init.d ${PN}
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2021-05-13 20:33 Sam James
0 siblings, 0 replies; 16+ messages in thread
From: Sam James @ 2021-05-13 20:33 UTC (permalink / raw
To: gentoo-commits
commit: 4d3b79187de38d8bc6f22c38943e56a5cd3eef65
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 13 19:11:14 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 13 20:33:07 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d3b7918
games-action/teeworlds: fix outdated translation data
Thanks-to: Esteve Varela Colominas <esteve.varela <AT> gmail.com>
Closes: https://bugs.gentoo.org/789741
Signed-off-by: Sam James <sam <AT> gentoo.org>
games-action/teeworlds/Manifest | 5 +--
games-action/teeworlds/teeworlds-0.7.5-r1.ebuild | 47 +++++++-----------------
2 files changed, 14 insertions(+), 38 deletions(-)
diff --git a/games-action/teeworlds/Manifest b/games-action/teeworlds/Manifest
index 08b8c1c89d4..d8c49b839a5 100644
--- a/games-action/teeworlds/Manifest
+++ b/games-action/teeworlds/Manifest
@@ -1,4 +1 @@
-DIST teeworlds-0.7.5-maps.tar.gz 151689 BLAKE2B f8ffbb6a024755bb972955a8c7d277709e17021c0554be0e2803e8c1b4848f5dca6d91b9f7f4e0731766745878c1143d27be3fa8aede01ff9cc69ac557ca70a8 SHA512 74084e169c1870cd541f5bb719c209210227055d304b3ce22fbad3d32d24b3356fbdec8d948edf3aa582270a8b0db7dec41e4924401f8398f7d5feba5ded49b3
-DIST teeworlds-0.7.5-translation.tar.gz 169121 BLAKE2B 1c649392385abf8e00d8c9e64ca7eaaa5af5848878566081cda83c7d78c417652137e7285d16038f302a6fdf94eb3993c506886d4cc1359694d534c7be5ea925 SHA512 41c69cd9e9290857b44be18f89ab9f3a7ccd6804757332966b973aec3a9e6fd5a40d323696a044a724228b2bb67b097311fa8c24fdec226eecb7a27c2da559dc
-DIST teeworlds-0.7.5.tar.gz 8654985 BLAKE2B ebeb9aa1119950e4d78d8c0d6c7be5711894c3212755a6db3b8b8c1f1803dba1e0d2e1a0e294e1a1fffe84a28beab8fac0e55fa0e94c68ed97e8764ac3b742d3 SHA512 673410a5fb5e488229ddc4ea4a1ac9cd8143a6e9499bde9f5535d7f0be5b6c85163065da9580c3de0d240f1cad63e0bc12c10caf1d893c324edb301bc150653b
-DIST teeworlds.png 21502 BLAKE2B 8064e0c2149f20f182b2ca2f7454f0e8395e199a432b8f21a9963cc771b1504ebe8cbe427ecd738d35313b1a378eaf8e305d509cd5360a07e9ab3c5224b78b77 SHA512 a272a1d9f13504c43ba873d93899df93c435f58cec20ae68bc9493a983e54cdd4c8f0f2e0630558c5e915aec891d2267bc3459ecc78c25738602452a2123fadf
+DIST teeworlds-0.7.5-src.tar.gz 8935505 BLAKE2B 40cf14e4f6d811df29a98cd51adc773021083e3474cc768998923fb6746e65b17c502d80af8e5613716dd3f12cf1e7cf840ec44b19ad8d214bd2cfa71f1871f3 SHA512 f0c55489b99b06e27298ac42adcf31e1130e7eace6f8672836e50c66c27ab0ccce5b8680c7181a2adc59e1f5808564001b5f0bc8ac7ab355ad8db71328ea7a76
diff --git a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
index 84c2689ed33..6eb673a5462 100644
--- a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
@@ -5,18 +5,12 @@ EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
-COMMIT_LANG="4ba6f824e9c34565e61340d25bc8c3cc004d40fb"
-COMMIT_MAPS="1d3401a37a3334e311faf18a22aeff0e0ac9ee65"
-inherit cmake desktop python-any-r1 xdg-utils
+inherit xdg cmake desktop python-any-r1
DESCRIPTION="Online multi-player platform 2D shooter"
HOMEPAGE="https://www.teeworlds.com/"
-SRC_URI="
- https://github.com/ktrace/gentoo-blobs/raw/master/teeworlds.png
- https://github.com/teeworlds/teeworlds/archive/${PV}.tar.gz -> ${P}.tar.gz
- https://github.com/teeworlds/teeworlds-maps/archive/${COMMIT_MAPS}.tar.gz -> ${P}-maps.tar.gz
- https://github.com/teeworlds/teeworlds-translation/archive/${COMMIT_LANG}.tar.gz -> ${P}-translation.tar.gz
-"
+SRC_URI="https://github.com/teeworlds/teeworlds/releases/download/${PV}/teeworlds-${PV}-src.tar.gz"
+S="${WORKDIR}/${P}-src"
LICENSE="ZLIB"
SLOT="0"
@@ -36,18 +30,10 @@ RDEPEND="
)
dev-libs/openssl:0=
sys-libs/zlib"
-
-DEPEND="${RDEPEND} ${PYTHON_DEPS}"
-
-src_prepare() {
- cmake_src_prepare
- rm -r "${S}/datasrc/languages" || die
- rm -r "${S}/datasrc/maps" || die
- mv "${WORKDIR}/${PN}-translation-${COMMIT_LANG}" "${S}/datasrc/languages" || die
- mv "${WORKDIR}/${PN}-maps-${COMMIT_MAPS}" "${S}/datasrc/maps" || die
- cp "${DISTDIR}/${PN}.png" "${S}/" || die
- python_fix_shebang scripts/
-}
+DEPEND="${RDEPEND}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ virtual/imagemagick-tools[png]"
src_configure() {
local mycmakeargs=(
@@ -55,25 +41,18 @@ src_configure() {
-DDEV=$(usex debug ON OFF)
-DPYTHON_EXECUTABLE="${PYTHON}"
)
-
cmake_src_configure
}
src_install() {
cmake_src_install
- doicon -s 256 "${PN}.png"
+
+ convert "other/icons/teeworlds.ico[0]" ${PN}.png || die
+ doicon -s 256 ${PN}.png
+
domenu other/teeworlds.desktop
newinitd "${FILESDIR}"/${PN}-init.d ${PN}
- insinto "/etc/${PN}"
- doins "${FILESDIR}"/teeworlds_srv.cfg
-}
-pkg_postinst() {
- xdg_desktop_database_update
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_desktop_database_update
- xdg_icon_cache_update
+ insinto /etc/${PN}
+ doins "${FILESDIR}"/teeworlds_srv.cfg
}
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2021-05-13 20:33 Sam James
0 siblings, 0 replies; 16+ messages in thread
From: Sam James @ 2021-05-13 20:33 UTC (permalink / raw
To: gentoo-commits
commit: cc4707e5d7cfc18c6881f9b35acf001a9a5e498f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 13 19:09:20 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 13 20:33:05 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc4707e5
games-action/teeworlds: fix libsdl->libsdl2 dependency
Closes: https://bugs.gentoo.org/733308
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../teeworlds/{teeworlds-0.7.5.ebuild => teeworlds-0.7.5-r1.ebuild} | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/games-action/teeworlds/teeworlds-0.7.5.ebuild b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
similarity index 95%
rename from games-action/teeworlds/teeworlds-0.7.5.ebuild
rename to games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
index 318db644f58..84c2689ed33 100644
--- a/games-action/teeworlds/teeworlds-0.7.5.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -27,7 +27,7 @@ RDEPEND="
!dedicated? (
app-arch/bzip2:=
media-libs/freetype
- media-libs/libsdl[X,sound,opengl,video]
+ media-libs/libsdl2[X,sound,opengl,video]
media-libs/pnglite
media-sound/wavpack
virtual/glu
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2021-05-14 0:22 Sam James
0 siblings, 0 replies; 16+ messages in thread
From: Sam James @ 2021-05-14 0:22 UTC (permalink / raw
To: gentoo-commits
commit: 169a317567f534bb544c68d171f413c6e337959b
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 13 23:01:04 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 14 00:22:33 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=169a3175
games-action/teeworlds: add github remote-id
Signed-off-by: Sam James <sam <AT> gentoo.org>
games-action/teeworlds/metadata.xml | 3 +++
1 file changed, 3 insertions(+)
diff --git a/games-action/teeworlds/metadata.xml b/games-action/teeworlds/metadata.xml
index 26079e608be..01627dd2b74 100644
--- a/games-action/teeworlds/metadata.xml
+++ b/games-action/teeworlds/metadata.xml
@@ -5,4 +5,7 @@
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>
</maintainer>
+ <upstream>
+ <remote-id type="github">teeworlds/teeworlds</remote-id>
+ </upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2021-07-03 4:00 Ionen Wolkens
0 siblings, 0 replies; 16+ messages in thread
From: Ionen Wolkens @ 2021-07-03 4:00 UTC (permalink / raw
To: gentoo-commits
commit: 1c1e14660885f544ae248ec901cd9777278e81be
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 3 03:39:15 2021 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Jul 3 03:59:32 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c1e1466
games-action/teeworlds: revert to providing icon
imagemagick can be messy with delegates and would rather not
incur additional dependencies just to convert icons.
Also add python3_10 given trivial, and remove unneeded xdg inherit.
Closes: https://bugs.gentoo.org/799623
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
games-action/teeworlds/Manifest | 1 +
games-action/teeworlds/teeworlds-0.7.5-r1.ebuild | 17 ++++++++---------
2 files changed, 9 insertions(+), 9 deletions(-)
diff --git a/games-action/teeworlds/Manifest b/games-action/teeworlds/Manifest
index d8c49b839a5..dc7d42a72fc 100644
--- a/games-action/teeworlds/Manifest
+++ b/games-action/teeworlds/Manifest
@@ -1 +1,2 @@
DIST teeworlds-0.7.5-src.tar.gz 8935505 BLAKE2B 40cf14e4f6d811df29a98cd51adc773021083e3474cc768998923fb6746e65b17c502d80af8e5613716dd3f12cf1e7cf840ec44b19ad8d214bd2cfa71f1871f3 SHA512 f0c55489b99b06e27298ac42adcf31e1130e7eace6f8672836e50c66c27ab0ccce5b8680c7181a2adc59e1f5808564001b5f0bc8ac7ab355ad8db71328ea7a76
+DIST teeworlds.png 3111 BLAKE2B c0b287b50d2155b556a227d4169656c886a47c6641ac15a40ca398ab9d4d0b0d7bf61c93037d4ad6d19ad9e638204975c5913d88928fee7333b6e360578c3692 SHA512 e3dd4754e14b4a6a6bf616b5f74c1f1c1a87b01522c8e5f9e33855f6f13c4ef65b17ef27015f97f303d00faa38b1441a73a7fe19f7be4541dee3f1a4810acb27
diff --git a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
index 6eb673a5462..f3f44810030 100644
--- a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
@@ -3,13 +3,15 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{8..10} )
-inherit xdg cmake desktop python-any-r1
+inherit cmake desktop python-any-r1
DESCRIPTION="Online multi-player platform 2D shooter"
HOMEPAGE="https://www.teeworlds.com/"
-SRC_URI="https://github.com/teeworlds/teeworlds/releases/download/${PV}/teeworlds-${PV}-src.tar.gz"
+SRC_URI="
+ https://github.com/teeworlds/teeworlds/releases/download/${PV}/teeworlds-${PV}-src.tar.gz
+ https://dev.gentoo.org/~ionen/distfiles/${PN}.png"
S="${WORKDIR}/${P}-src"
LICENSE="ZLIB"
@@ -31,9 +33,7 @@ RDEPEND="
dev-libs/openssl:0=
sys-libs/zlib"
DEPEND="${RDEPEND}"
-BDEPEND="
- ${PYTHON_DEPS}
- virtual/imagemagick-tools[png]"
+BDEPEND="${PYTHON_DEPS}"
src_configure() {
local mycmakeargs=(
@@ -47,10 +47,9 @@ src_configure() {
src_install() {
cmake_src_install
- convert "other/icons/teeworlds.ico[0]" ${PN}.png || die
- doicon -s 256 ${PN}.png
-
+ doicon "${DISTDIR}"/${PN}.png
domenu other/teeworlds.desktop
+
newinitd "${FILESDIR}"/${PN}-init.d ${PN}
insinto /etc/${PN}
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2021-11-17 2:19 Sam James
0 siblings, 0 replies; 16+ messages in thread
From: Sam James @ 2021-11-17 2:19 UTC (permalink / raw
To: gentoo-commits
commit: c32c0d2748f2e81381d1ec203d38fde1776831a6
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 17 02:19:22 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 17 02:19:22 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c32c0d27
games-action/teeworlds: Keyword 0.7.5-r1 arm64, #821946
Signed-off-by: Sam James <sam <AT> gentoo.org>
games-action/teeworlds/teeworlds-0.7.5-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
index f3f44810030a..867a655a0625 100644
--- a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${P}-src"
LICENSE="ZLIB"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="debug dedicated"
RDEPEND="
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2023-01-18 15:15 Ionen Wolkens
0 siblings, 0 replies; 16+ messages in thread
From: Ionen Wolkens @ 2023-01-18 15:15 UTC (permalink / raw
To: gentoo-commits
commit: 3a5147fd75c8379c85b89796b678cd1197538843
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 14:43:29 2023 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 15:14:13 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a5147fd
games-action/teeworlds: EAPI7->8, pass no-strict, enable py3.11
Also adjust deps a bit. May be possible to drop [X] on libglvnd
but the CMakeLists explicitly requests the legacy version (GLX).
Closes: https://bugs.gentoo.org/858524
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
...s-0.7.5-r1.ebuild => teeworlds-0.7.5-r2.ebuild} | 26 +++++++++++-----------
1 file changed, 13 insertions(+), 13 deletions(-)
diff --git a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild b/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
similarity index 72%
rename from games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
rename to games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
index 88f0ed346022..ad55df8bd5ba 100644
--- a/games-action/teeworlds/teeworlds-0.7.5-r1.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
@@ -1,11 +1,10 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-PYTHON_COMPAT=( python3_{9..10} )
-
-inherit cmake desktop python-any-r1
+PYTHON_COMPAT=( python3_{9..11} )
+inherit cmake desktop flag-o-matic python-any-r1
DESCRIPTION="Online multi-player platform 2D shooter"
HOMEPAGE="https://www.teeworlds.com/"
@@ -21,26 +20,27 @@ IUSE="debug dedicated"
RDEPEND="
!dedicated? (
- app-arch/bzip2:=
media-libs/freetype
- media-libs/libsdl2[X,sound,opengl,video]
+ media-libs/libglvnd[X]
+ media-libs/libsdl2[sound,opengl,video]
media-libs/pnglite
media-sound/wavpack
- virtual/glu
- virtual/opengl
- x11-libs/libX11
)
- dev-libs/openssl:0=
- sys-libs/zlib"
+ dev-libs/openssl:=
+ sys-libs/zlib:="
DEPEND="${RDEPEND}"
BDEPEND="${PYTHON_DEPS}"
src_configure() {
+ append-flags -fno-strict-aliasing #858524
+
local mycmakeargs=(
- -DCLIENT=$(usex dedicated OFF ON)
- -DDEV=$(usex debug ON OFF)
+ -DCLIENT=$(usex !dedicated)
+ -DCMAKE_DISABLE_FIND_PACKAGE_X11=yes # unused
+ -DDEV=$(usex debug)
-DPYTHON_EXECUTABLE="${PYTHON}"
)
+
cmake_src_configure
}
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2023-01-18 15:15 Ionen Wolkens
0 siblings, 0 replies; 16+ messages in thread
From: Ionen Wolkens @ 2023-01-18 15:15 UTC (permalink / raw
To: gentoo-commits
commit: 5babbba77e65af65f422b497b019b4b9fb385ba1
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 15:06:04 2023 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 15:14:14 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5babbba7
games-action/teeworlds: drop broken USE=debug
Not convinced it's worth looking into unless someone actually
wants this.
Closes: https://bugs.gentoo.org/891043
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
games-action/teeworlds/teeworlds-0.7.5-r2.ebuild | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
diff --git a/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild b/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
index ad55df8bd5ba..484834e8512c 100644
--- a/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${P}-src"
LICENSE="ZLIB"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="debug dedicated"
+IUSE="dedicated"
RDEPEND="
!dedicated? (
@@ -37,7 +37,6 @@ src_configure() {
local mycmakeargs=(
-DCLIENT=$(usex !dedicated)
-DCMAKE_DISABLE_FIND_PACKAGE_X11=yes # unused
- -DDEV=$(usex debug)
-DPYTHON_EXECUTABLE="${PYTHON}"
)
^ permalink raw reply related [flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/
@ 2024-05-05 23:44 Ionen Wolkens
0 siblings, 0 replies; 16+ messages in thread
From: Ionen Wolkens @ 2024-05-05 23:44 UTC (permalink / raw
To: gentoo-commits
commit: 40f06f1a04a6e033e53541f7af46ec4772908d88
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun May 5 17:47:01 2024 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun May 5 23:43:46 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40f06f1a
games-action/teeworlds: enable py3.12 + tidy
-DPYTHON_EXECUTABLE is no longer necessary, handled by cmake.eclass
(uses the right python from a quick look)
fwiw revbump to update python-any-r1 BDEPEND given this rarely gets
bumps
Closes: https://bugs.gentoo.org/929567
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
...{teeworlds-0.7.5-r2.ebuild => teeworlds-0.7.5-r3.ebuild} | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild b/games-action/teeworlds/teeworlds-0.7.5-r3.ebuild
similarity index 83%
rename from games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
rename to games-action/teeworlds/teeworlds-0.7.5-r3.ebuild
index 484834e8512c..7d39366980d7 100644
--- a/games-action/teeworlds/teeworlds-0.7.5-r2.ebuild
+++ b/games-action/teeworlds/teeworlds-0.7.5-r3.ebuild
@@ -1,17 +1,18 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit cmake desktop flag-o-matic python-any-r1
DESCRIPTION="Online multi-player platform 2D shooter"
HOMEPAGE="https://www.teeworlds.com/"
SRC_URI="
https://github.com/teeworlds/teeworlds/releases/download/${PV}/teeworlds-${PV}-src.tar.gz
- https://dev.gentoo.org/~ionen/distfiles/${PN}.png"
-S="${WORKDIR}/${P}-src"
+ https://dev.gentoo.org/~ionen/distfiles/${PN}.png
+"
+S=${WORKDIR}/${P}-src
LICENSE="ZLIB"
SLOT="0"
@@ -27,7 +28,8 @@ RDEPEND="
media-sound/wavpack
)
dev-libs/openssl:=
- sys-libs/zlib:="
+ sys-libs/zlib:=
+"
DEPEND="${RDEPEND}"
BDEPEND="${PYTHON_DEPS}"
@@ -37,7 +39,6 @@ src_configure() {
local mycmakeargs=(
-DCLIENT=$(usex !dedicated)
-DCMAKE_DISABLE_FIND_PACKAGE_X11=yes # unused
- -DPYTHON_EXECUTABLE="${PYTHON}"
)
cmake_src_configure
^ permalink raw reply related [flat|nested] 16+ messages in thread
end of thread, other threads:[~2024-05-05 23:44 UTC | newest]
Thread overview: 16+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-05-04 21:21 [gentoo-commits] repo/gentoo:master commit in: games-action/teeworlds/ James Le Cuirot
-- strict thread matches above, loose matches on Subject: below --
2024-05-05 23:44 Ionen Wolkens
2023-01-18 15:15 Ionen Wolkens
2023-01-18 15:15 Ionen Wolkens
2021-11-17 2:19 Sam James
2021-07-03 4:00 Ionen Wolkens
2021-05-14 0:22 Sam James
2021-05-13 20:33 Sam James
2021-05-13 20:33 Sam James
2020-07-01 10:28 Andreas Sturmlechner
2020-07-01 10:28 Andreas Sturmlechner
2018-04-15 11:34 David Seifert
2017-05-06 19:54 James Le Cuirot
2017-05-06 17:20 Agostino Sarubbo
2017-05-05 14:10 Agostino Sarubbo
2017-01-30 23:09 Austin English
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox